Get triggers

Searches the Trigger collection.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

containsstringOptional
the value for a contains query. if the property with the key of containsField does not have a value that contains this string, then filter out the document
containsFieldstringOptional
the field to run a contains query on
equalsstringOptional
the value for an equals query. if the property with the key of equalsField does not have a value that equals this string, then filter out the document
equalsFieldstringOptional
the field to run an equals query on
startsWithstringOptional
the value for a startsWith query. if the property with the key of startsWithField does not have a value that starts with this string, then filter out the document
startsWithFieldstringOptional
the field to run a startsWith query on
greaterThanFieldstringOptional
the field to run a greater than query on
greaterThanstringOptional
the value to use for the greater than query. If the value is a valid date string, then it will be converted to a unix timestamp in milliseconds
lessThanFieldstringOptional
the field to run a less than query on
lessThanstringOptional
the value to use for the less than query. If the value is a valid date string, then it will be converted to a unix timestamp in milliseconds
enabledbooleanOptional
if true, then only return trigger documents that are enabled
actionIdstringOptional
if provided, only return trigger documents with this action id
limitintegerOptional>=0Defaults to 25
Number of results to return. Used for pagination.
skipintegerOptional>=0Defaults to 0
Number of results to skip. Used for pagination.
orderenumOptional

The sort direction: 1 for ascending or -1 for descending.

Allowed values:
sortenumOptionalDefaults to name
Field to sort by. Default is name.
Allowed values:

Response

The Triggers that matched the search query.
messagestring

A human-readable message summarizing the result of the operation

datalist of objects
Any successfully retrieved information related to the request.
metadatamap from strings to any

Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

Errors

500
Internal Server Error